Skip to main content
PATCH

Headers

X-Business-Id
string
required

Business identifier for external auth. Find in Polinate app → Business Settings → Integrations.

Example:

"{{businessId}}"

X-API-Key
string
required

Per-business API key for external auth. Find in Polinate app → Business Settings → Integrations.

Example:

"{{apiKey}}"

Idempotency-Key
string

Idempotency key for POST operations

Example:

"{{idempotencyKey}}"

Path Parameters

id
string
required
Example:

"ord_123"

Body

application/json
order
object
createOrderItems
object[]
updateOrderItems
object[]
deleteOrderItems
string[]

Response

OK - Returns full updated order with all items

id
string
required
partnershipId
string
required

The business partnership this order belongs to

internalReference
string
required
expectedDeliveryAt
string<date-time>
required
currency
string
required
totalAmount
string
required

Decimal as string

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
membershipId
string | null
integrationId
string | null
phase
enum<string>
Available options:
DRAFT,
PENDING,
DELETED,
ACTIVE,
ARCHIVED,
REJECTED,
CANCELLED
status
enum<string>
Available options:
UNASSIGNED,
ACCEPTED,
PACKED,
IN_TRANSIT,
DELIVERED,
RETURNED,
NOT_APPLICABLE
externalReference
string | null
notes
string | null
deliveryAddress
string | null
deliveredAt
string<date-time> | null
shippedAt
string<date-time> | null
properties
object | null
orderItems
object[]